<?php
 @session_start();
  $vg_login=$_SESSION["usuario"];
   $vg_empresa=1;
  if($vg_login<>""){}
 else
  {echo "<script>";
   echo "window.location='../index.php';";
   echo "</script>";
  }	

include "../valida_permisos.php";
$vg_programa = F_programa();
include "../seguridad.php";
$sql_entrada= mysqli_query($conseg,"select login,nombre,perfil,programa,cedula,pais from permiso     
						where login='".$vg_login."'  and programa=".$vg_programa."");
while($datos= mysqli_fetch_row($sql_entrada))
		{ $vg_nombre=$datos[1];
		  $vg_perfil=$datos[2];				
		} 
//permisos a formularios
$modulo="parametros";
$permisos=validar_permiso($vg_login,$modulo,$vg_perfil,$vg_programa);
include "../permisos.php";
$valpermiso=F_permiso($permisos);
/*
if($valpermiso[0]==1){}
else
{echo "<script>";
echo "window.location='../erroracceso.php?formulario=TIPO_DOCUMENTO';";
echo "</script>";
}
*/
include "../parametros.php";
include "../conexion.php";
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3c.org/TR/1999/REC-html401-19991224/loose.dtd">
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<title><?php  echo $nombreprograma." - ".$version; ?></title>
  <script src="../js/jquery.min.js"></script>
  <link href="../bootstrap/css/bootstrap.min.css" rel="stylesheet">
 <script src="../bootstrap/js/bootstrap.min.js"></script>
 <link rel="stylesheet" href="../toastn/style.css">
 <script src="../toastn/cute-alert.js"></script>
 
 
 
  <script src="https://code.jquery.com/jquery-3.2.1.js"></script>  

<script type='text/javascript'   src='../js1/jquery-1.8.3.js'></script>
<script type='text/javascript'   src="../js1/select2.min.js"></script>
<link rel="stylesheet" type="text/css"   href="../js1/select2.css">
<script type='text/javascript'   src="../js1/bootstrap.min.js"></script>

<script type='text/javascript'>
$(window).load(function(){
   $('#documento').select2();
});
</script>


<style>

.select-editable {
     position:relative;
     background-color:white;
     border:solid grey 1px;
     width:120px;
     height:18px;
 }
 .select-editable select {
     position:absolute;
     top:0px;
     left:0px;
     font-size:14px;
     border:none;
     width:120px;
     margin:0;
 }
 .select-editable input {
     position:absolute;
     top:0px;
     left:0px;
     width:100px;
     padding:1px;
     font-size:12px;
     border:none;
 }
 .select-editable select:focus, .select-editable input:focus {
     outline:none;
 }

</style>


 
</head>
<body>
<?php

$id="";$documento="";$nombre="";$numero="";$consecutivo="";$aprobador="";$cuentacontable="";$naturaleza="";
$anticipo="";
$rs_documento=mysqli_query($conexion,"SELECT id,nombre FROM par_documentos where estado='1' order by nombre asc");
$rs_naturaleza=mysqli_query($conexion,"SELECT codigo,nombre FROM par_generales where tipo='naturaleza'  order by nombre asc");


if($_REQUEST["id"]>0)
	 {				
	   $id=$_REQUEST["id"];
		 $contar=0;
		 $sql_contar=mysqli_query($conexion,"SELECT count(*) as contar FROM par_tipodocumentos where id='".$id."'");
		   while($datos= mysqli_fetch_row($sql_contar)){ $contar=$datos[0];}
		  if($contar>=1)
			{ 	
			$sql_datos =mysqli_query($conexion,"select  documento,nombre,numero,consecutivo,aprobador,cuentacontable,naturaleza,anticipo
												FROM par_tipodocumentos
												where id='".$id."' ");
					while($datos= mysqli_fetch_row($sql_datos))
					{ 
						$documento=$datos[0]; 						
						$nombre=$datos[1]; 	
						$numero=$datos[2]; 	
						$consecutivo=$datos[3]; 	
						$aprobador=$datos[4]; 	
						$cuentacontable=$datos[5]; 	
						$naturaleza=$datos[6]; 	
						$anticipo=$datos[7]; 	
				   }
			}
			else
			  {
				$mensaje="No existe el codigo";
					?>				  
					<script>
					cuteToast({
						  type: "error", // or 'info', 'error', 'warning'
						  message: "<?php echo $mensaje; ?>",
						  timer: 3000
						})
					</script>
				   <?php
			  }
  }

if(isset($_REQUEST['oculto']))
  { 
	$id=$_REQUEST['id'];	
	$documento=$_REQUEST['documento'];
	$nombre=$_REQUEST['nombre'];
	$numero=$_REQUEST['numero'];
	$consecutivo=$_REQUEST['consecutivo'];
	$aprobador=$_REQUEST['aprobador'];
	$cuentacontable=$_REQUEST['cuentacontable'];
	$naturaleza=$_REQUEST['naturaleza'];
	$anticipo=$_REQUEST['anticipo'];
	
if($_REQUEST["oguardar"]==1)
	 {   
		  if($nombre<>"") 
		  {   $contar=0;
			  $sql_contar=mysqli_query($conexion,"SELECT count(*) as contar FROM par_tipodocumentos  
			                                     where documento='".$documento."' and nombre='".$nombre."' 
												 and numero='".$numero."'
			                                     and empresa='".$vg_empresa."'");
			  while($datos= mysqli_fetch_row($sql_contar)){ $contar=$datos[0];}
			  if($contar>=1) 
			  {
					  $mensaje="Ya existe el tipo de documento con la empresa";
					  ?>				  
						<script>
						cuteToast({
							  type: "error", // or 'info', 'error', 'warning'
							  message: "<?php echo $mensaje; ?>",
							  timer: 3000
							})
						</script>
					   <?php
			  }
			  else
				{ $busqueda=1;
				  $sql_insert=mysqli_query($conexion,"insert into par_tipodocumentos(empresa,documento,nombre,numero,consecutivo,aprobador,cuentacontable,naturaleza,coddoc,anticipo)
										  values('".$vg_empresa."','".$documento."','".$nombre."','".$numero."',
										  '".$consecutivo."','".$aprobador."',
										  		 '".$cuentacontable."','".$naturaleza."','".strtolower($nombre)."',
												 '".$anticipo."')"); 
				 if($sql_insert)
				   {
				      $mensaje="Se registro el tipo de cuenta";
					    ?>				  
						<script>
						cuteToast({
							  type: "success", // or 'info', 'error', 'warning'
							  message: "<?php echo $mensaje; ?>",
							  timer: 3000
							})
						</script>
                       <?php
				   }	
				 else 
				  {
				    $mensaje="Error al registrar el tipo de cuenta";
					    ?>				  
						<script>
						cuteToast({
							  type: "error", // or 'info', 'error', 'warning'
							  message: "<?php echo $mensaje; ?>",
							  timer: 3000
							})
						</script>
                       <?php
				  }				
				}
		 }
		 else {
			   $mensaje="Digite la Informacion Requerida";
					    ?>				  
						<script>
						cuteToast({
							  type: "error", // or 'info', 'error', 'warning'
							  message: "<?php echo $mensaje; ?>",
							  timer: 3000
							})
						</script>
                       <?php
		 }				

	 }//fin guardar

if($_REQUEST["omodificar"]==1)
	 {    $contar=0;
		  $sql_contar=mysqli_query($conexion,"SELECT count(*) as contar FROM par_tipodocumentos where id='".$id."'");
		  while($datos= mysqli_fetch_row($sql_contar)){ $contar=$datos[0];}
		  if($contar>=1) 
			{ 
			  $sql_update=mysqli_query($conexion,"update par_tipodocumentos set
													documento='".$documento."',
													nombre='".$nombre."',
													numero='".$numero."',
													consecutivo='".$consecutivo."',
													aprobador='".$aprobador."',
													cuentacontable='".$cuentacontable."',
													naturaleza='".$naturaleza."',
													anticipo='".$anticipo."'													
												  where id='".$id."'"); 
			 if($sql_update)
			   {
			    $mensaje="Se modifico el tipo de cuenta";
					    ?>				  
						<script>
						cuteToast({
							  type: "success", // or 'info', 'error', 'warning'
							  message: "<?php echo $mensaje; ?>",
							  timer: 3000
							})
						</script>
                       <?php
			   }	
			 else 
			  {
			   $mensaje="Error al modificar el tipo de cuenta";
					    ?>				  
						<script>
						cuteToast({
							  type: "error", // or 'info', 'error', 'warning'
							  message: "<?php echo $mensaje; ?>",
							  timer: 3000
							})
						</script>
                       <?php
			  }				
			}
		  else
		   {
		    $mensaje="No existe el codigo";
					    ?>				  
						<script>
						cuteToast({
							  type: "error", // or 'info', 'error', 'warning'
							  message: "<?php echo $mensaje; ?>",
							  timer: 3000
							})
						</script>
                       <?php
		   }	
	 }//fin guardar


if($_REQUEST["obuscar"]==1)
             {   
				 $sql_datos =mysqli_query($conexion,"select  documento,nombre,numero,consecutivo,aprobador,cuentacontable,naturaleza,anticipo
												FROM par_tipodocumentos
												where id='".$id."' ");
					while($datos= mysqli_fetch_row($sql_datos))
					{ 
						$documento=$datos[0]; 						
						$nombre=$datos[1]; 	
						$numero=$datos[2]; 	
						$consecutivo=$datos[3]; 	
						$aprobador=$datos[4]; 	
						$cuentacontable=$datos[5]; 	
						$naturaleza=$datos[6]; 	
						$anticipo=$datos[7]; 	
				   }
				
				  
             }//fin buscar

	if(isset ($_REQUEST['nuevo']))
	   { 
	   		$id="";$documento="";$nombre="";$numero="";$consecutivo="";$aprobador="";$cuentacontable="";$naturaleza="";
			$anticipo="";
	   }

  }


?>
<form name="frmempresa" method="post" action="" >
  <input name="id" type="hidden"  id="id"    value="<?php echo $id; ?>"  />
 <center>
    <div class="panel panel-primary" style="width:90%;">
      <div class="panel-heading">TIPOS DOCUMENTOS</div>
       <div align="center">
		<table width="100%" border="0" cellpadding="0" cellspacing="0" bordercolor="#999999" >
          
          <tr>
            <td width="12%" height="-10"><span class="texto">Codigo</span></td>
            <td width="38%"><input name="id2" type="text" id="id2"    value="<?php echo $id; ?>" 
            onfocus="this.style.background='#ccffff'" onblur="this.style.background='#ffffff'" 
             class="form-control"  style="width: 150px" 
             onkeypress="return valida(event);" />
            <td width="11%" align="right">&nbsp;</td>
            <td width="39%">&nbsp;</td>
          </tr>
          
          <tr>
            <td ><span class="texto">Documento</span></td>
            <td><select name="documento"  id="documento"
                            onFocus="this.style.background='#ccffff'" onBlur="this.style.background='#FFFFDD'"
                            class="form-control" style="width: 100%" onchange="submit();" >
                         <option value="0"> </option>  
              <?php while ($rowba=mysqli_fetch_array($rs_documento))
									{
									 if ($documento==$rowba['id'])
										{echo "<option value=".$rowba['id']." selected>".$rowba['nombre']."</option>";}
									 else
										{echo "<option value=".$rowba['id'].">".$rowba['nombre']."</option>";}		
									}
							 ?>
            </select></td>
            <td align="right" ><span class="texto">Nombre </span></td>
            <td >
                <?php
                    $sql_contar=mysqli_query($conexion,"SELECT prefijo FROM par_documentos where id='".$documento."'");
		            while($datos= mysqli_fetch_row($sql_contar)){ $nombre=$datos[0];}
                ?>
                
                <table width="68%" border="0">
                <tbody>
                  <tr>
                    <td width="35%"><input name="nombre" type="text"  id="nombre"    value="<?php echo $nombre; ?>"  style="width: 100%" class="form-control" readonly/></td>
                    <td width="3%">-</td>
                    <td width="62%"><input name="numero" type="text"  id="numero"    value="<?php echo $numero; ?>"  style="width: 100%" class="form-control" maxlength="20"/></td>
                  </tr>
                </tbody>
            </table></td>
          </tr>
          
          <tr>
            <td ><span class="texto">Consecutivo </span></td>
            <td ><input name="consecutivo" type="text"  id="consecutivo"    value="<?php echo $consecutivo; ?>" style="width: 100%" class="form-control"/></td>
            <td align="right" ><span class="texto">Naturaleza</span></td>
            <td >
                
 
                <input name="aprobador" type="hidden"  id="aprobador"    value="<?php echo $aprobador; ?>"  style="width: 100%" class="form-control"/>
                <select name="naturaleza"  id="naturaleza"
                            onFocus="this.style.background='#ccffff'" onBlur="this.style.background='#FFFFDD'"
                            class="form-control" style="width: 100px" >
                  <option value="0"> </option>
                  <?php while ($rowba=mysqli_fetch_array($rs_naturaleza))
									{
									 if ($naturaleza==$rowba['codigo'])
										{echo "<option value=".$rowba['codigo']." selected>".$rowba['nombre']."</option>";}
									 else
										{echo "<option value=".$rowba['codigo'].">".$rowba['nombre']."</option>";}		
									}
							 ?>
                </select></td>
          </tr>
          
          <tr>
            <td align="left"><span class="texto">Cuenta Contable</span></td>
            <td align="center"><input name="cuentacontable" type="text"  id="cuentacontable"    value="<?php echo $cuentacontable; ?>" style="width: 100%" class="form-control"/></td>
            <td  align="right">Anticipo</td>
            <td  align="center"><input name="anticipo" type="text"  id="anticipo"    value="<?php echo $anticipo; ?>" style="width: 100%" class="form-control"/></td>
          </tr>
         
          <tr>
            <td>            
            <td align="center">            
            <td align="center">            
            <td align="center">            
            <td align="center">            
            <td align="center">                      </tr>
          <tr>
            <td  colspan="6" align="center"><input name="nuevo" type="submit"  id="nuevo"  value="Nuevo" class="btn btn-primary"  style="width: 100px"/>
              <?php
              if($id=="")
              {
              ?>
              <input name="guardar" type="button"  id="guardar"  value="Guardar" onClick="return pregunta_guardar();" class="btn btn-primary" style="width: 100px"/>
              <?php
			  }
              if($id<>"")
              {
              ?>
              <input name="modificar" type="button"  id="modificar"  value="Modificar" 	onClick="return pregunta_modificar();" class="btn btn-primary" style="width:100px" />
              <input name='aprobadores' type='hidden'  id='aprobadores' value='APROBADORES'   class="btn  btn-primary" title="Clic para ver aprobadores"
 onClick="javascript:window.open('aprobadores_documentos.php?td=<?php echo $id;?>','parapro','menubar=1,toolbar=0,location=0,directories=0,status=1,scrollbars=1,width=500,height=300');" style="width:150px"  />
              <?php
			  }
              ?>
              <input name='rep' type='hidden'  id='rep' value='Reporte'   class="btn  btn-primary" title="Clic para ver reporte"
						  onClick="javascript:window.open('tipodocumento_reporte.php','TERREP','menubar=1,toolbar=0,location=0,directories=0,status=1,scrollbars=1,width=500,height=300');" 
                          style="width:150px"  />
              <input type="hidden" name="oculto" />
              <input name="oguardar" type="hidden" id="oguardar" />
              <input name="omodificar" type="hidden" id="omodificar" />
              <input name="obuscar" type="hidden" id="obuscar" />
            </tr>
        </table>
   </div>
 
 
   <center>
        <table id="example1" class="table table-bordered table-striped" style="font-size:12px; width:100%" cellpadding='0' cellspacing='0'  bordercolor='#cccccc'>
                        <thead>
                            <tr class="btn-primary">
                                <th width='5%'>Codigo</th>
                                <th width='40%'>Documento</th>
                                <th width='10%'>Nombre</th>
                                <th width='5%'>Prefijo</th>
                                <th width='10%'>Consecutivo</th>
                                <th width='10%'>Cuenta Contable</th>
                                <th width='10%'>Anticipo</th>
                                <th width='5%'>Naturaleza</th>                                
                            </tr>
                        </thead>
                        <tbody>
      <?php
      $c=0;
			 $sql_datos =mysqli_query($conexion,"select  documento,nombre,numero,consecutivo,aprobador,cuentacontable,naturaleza,id,anticipo
												FROM par_tipodocumentos
												where empresa='".$vg_empresa."' ");
					while($datos= mysqli_fetch_row($sql_datos))
					{ 
						$documento=$datos[0]; 						
						$nombre=$datos[1]; 	
						$numero=$datos[2]; 	
						$consecutivo=$datos[3]; 	
						$aprobador=$datos[4]; 	
						$cuentacontable=$datos[5]; 	
						$naturaleza=$datos[6]; 	
						$id=$datos[7]; 	
						$anticipo=$datos[8]; 	
				  
						$rs_estado=mysqli_query($conexion,"SELECT id,nombre FROM par_documentos  where id='".$documento."'");
						while($datoses= mysqli_fetch_row($rs_estado)){ $ndocumento=$datoses[1];}
				
				echo " <tr>";
						 echo "<td><a href='tipo_documento.php?id=$id'>".$id."</a></td>";
						 echo "<td>".$ndocumento."</td>";
						 echo "<td>".$nombre."</td>";
						 echo "<td>".$numero."</td>";
						 echo "<td>".$consecutivo."</td>";
						 echo "<td>".$cuentacontable."</td>";
						 echo "<td>".$anticipo."</td>";
						 echo "<td>".$naturaleza."</td>";
						 echo "</tr>";
					$c=$c+1;
				}
				
	  
	  ?>  
	  </tbody></table></center> 
        
 </div>
 </center>  


<SCRIPT type=text/javascript>


function pregunta_guardar(){ 
	cuteAlert({
	  type: "question",
	  title: "Confirmar Para Procesar",
	  message: "",
	  confirmText: "Ok",
	  cancelText: "Cancel"
	}).then((e)=>{
	  
	  if( e == "confirm")
	   {
		   retorno_valida=valida_campos();
		if(retorno_valida==false)
		   {
			document.frmempresa.oguardar.value=0;			
			return false;
			}
		else
		  { document.frmempresa.oguardar.value=1; 
			document.frmempresa.submit();		
		    return true;
		  
		  	}
	   } 
	  else {
			document.frmempresa.oguardar.value=0;
			return false; 
	  }
	})
}




function pregunta_modificar(){ 
	cuteAlert({
	  type: "question",
	  title: "Confirmar Para Modificar",
	  message: "",
	  confirmText: "Ok",
	  cancelText: "Cancel"
	}).then((e)=>{
	  
	  if( e == "confirm")
	   {
		  retorno_valida=valida_campos();
		if(retorno_valida==false)
		   {document.frmempresa.omodificar.value=0; 	
			return false;
			}
		else
		  { document.frmempresa.omodificar.value=1; 
			document.frmempresa.submit();			
		    return true;
	    	}
	   } 
	  else {
			document.frmempresa.omodificar.value=0;
			return false; 
	  }
	})
}

function valida_campos()
{  
	
	id
documento
nombre
numero
consecutivo
aprobador
cuentacontable
naturaleza

	var mensaje='';
		 if(document.frmempresa.documento.value!='0'){}
		 else {mensaje=mensaje + 'Documento,';    }
		 if(document.frmempresa.nombre.value!=''){}
		 else {mensaje=mensaje + 'Nombre,';    }
		 if(document.frmempresa.numero.value!=''){}
		 else {mensaje=mensaje + 'Numero,';    }
		 if(document.frmempresa.consecutivo.value!=''){}
		 else {mensaje=mensaje + 'Consecutivo,';    }

		if(document.frmempresa.documento.value!='0' && document.frmempresa.nombre.value!='' && document.frmempresa.numero.value!='' && document.frmempresa.consecutivo.value!=''){return true;}
		else {
			cuteAlert({
						  type: "error",
						  title: "JACOME",
						  message: " Informacion Requerida: " + mensaje,
						  buttonText: "Ok"
						})
			  return false;
			 }

}

</script>



<script src="../plugins1/jquery/jquery.min.js"></script>
<script src="../plugins1/bootstrap/js/bootstrap.bundle.min.js"></script>
<script src="../plugins1/datatables/jquery.dataTables.min.js"></script>
<script src="../plugins1/datatables-bs4/js/dataTables.bootstrap4.min.js"></script>
<script src="../plugins1/datatables-responsive/js/dataTables.responsive.min.js"></script>
<script src="../plugins1/datatables-responsive/js/responsive.bootstrap4.min.js"></script>
<script src="../plugins1/datatables-buttons/js/dataTables.buttons.min.js"></script>
<script src="../plugins1/datatables-buttons/js/buttons.bootstrap4.min.js"></script>
<script src="../plugins1/jszip/jszip.min.js"></script>
<script src="../plugins1/pdfmake/pdfmake.min.js"></script>
<script src="../plugins1/pdfmake/vfs_fonts.js"></script>
<script src="../plugins1/datatables-buttons/js/buttons.html5.min.js"></script>
<script src="../plugins1/datatables-buttons/js/buttons.print.min.js"></script>
<script src="../plugins1/datatables-buttons/js/buttons.colVis.min.js"></script>
<script>
  $(function () {
    $("#example1").DataTable({
      "responsive": true, "lengthChange": false, "autoWidth": false,
      "buttons": ["excel", "pdf", "print", "colvis"],
	  "order": [ 0, 'asc' ]
    }).buttons().container().appendTo('#example1_wrapper .col-md-6:eq(0)');
   
  });
</script>

</form>
</body>
</html>    
